# H225_Content Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_raw, e_text, e_unicode, e_bool, e_number8, e_number16, e_number32, e_id, e_alias, e_transport, e_compound, e_nested }

## Public Member Functions

| H225_Content (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_GenericIdentifier & ()
| operator const H225_GenericIdentifier & () const
| operator H225_AliasAddress & ()
| operator const H225_AliasAddress & () const
| operator H225_TransportAddress & ()
| operator const H225_TransportAddress & () const
| operator H225_ArrayOf_EnumeratedParameter & ()
| operator const H225_ArrayOf_EnumeratedParameter & () const
| operator H225_ArrayOf_GenericData & ()
| operator const H225_ArrayOf_GenericData & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_Content::Choices

Enumerator:

  e_raw |
  e_text |
  e_unicode |
  e_bool |
  e_number8 |
  e_number16 |
  e_number32 |
  e_id |
  e_alias |
  e_transport |
  e_compound |
  e_nested |

## Constructor & Destructor Documentation

H225_Content::H225_Content | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_Content::operator H225_GenericIdentifier & | ( |  | ) |

H225_Content::operator const H225_GenericIdentifier & | ( |  | ) | const

H225_Content::operator H225_AliasAddress & | ( |  | ) |

H225_Content::operator const H225_AliasAddress & | ( |  | ) | const

H225_Content::operator H225_TransportAddress & | ( |  | ) |

H225_Content::operator const H225_TransportAddress & | ( |  | ) | const

H225_Content::operator H225_ArrayOf_EnumeratedParameter & | ( |  | ) |

H225_Content::operator const H225_ArrayOf_EnumeratedParameter & | ( |  | ) | const

H225_Content::operator H225_ArrayOf_GenericData & | ( |  | ) |

H225_Content::operator const H225_ArrayOf_GenericData & | ( |  | ) | const

PBoolean H225_Content::CreateObject | ( |  | ) |

PObject* H225_Content::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h